problema con apt-get

Sezione dedicata alle problematiche sull'uso dei tool di installazione e gestione di pacchetti, in una distribuzione Debian-based.
ippo
Newbie
Newbie
Messaggi: 15
Iscritto il: 04/10/2005, 6:25

problema con apt-get

Messaggio da ippo »

mi sa che ho fatto un po' di casino con la precedente installazione di valknut, siccome non pensavo fosse presente nei pacchetti debian,l ho scaricato da internet e ho messo un sacco di dipendenze a mano scaricandole dal sito. il problema e' sorge ora in quanto tutte le volte che provo a utilizzare il comando apt-get mi da il seguente messaggio.......scusate se la domanda e' un po stupida ma ho cercato in parecchi forum e nel wiki ma non ne vengo a capo......vi posto qui sotto la console.
uso debian sarge 31r0

fogna@debian:~$ su
Password:
debian:/home/fogna# apt-get install apt-spy
Reading Package Lists... Done
Building Dependency Tree... Done
You might want to run `apt-get -f install' to correct these:
The following packages have unmet dependencies:
valknut: Depends: libdc0 (= 0.3.7-0) but it is not installable
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
Avatar utente
MaXeR
Hero Member
Hero Member
Messaggi: 3211
Iscritto il: 22/12/2004, 17:01
Località: Garda - VR
Contatta:

Re: problema con apt-get

Messaggio da MaXeR »

Try 'apt-get -f install' with no packages (or specify a solution)
hai fatto quanto detto dal programma?

cercherà lui una soluzione...
http://leevee.it - Leevee Soluzioni Informatiche
ippo
Newbie
Newbie
Messaggi: 15
Iscritto il: 04/10/2005, 6:25

Re: problema con apt-get

Messaggio da ippo »

si,scusa mi ero dimenticato di dirlo......lancio apt-get col parametro -f ma il risultato e' che tenta (mi pare ) di rimuovere valknut........scusate l'ignoranza eh ma proprio non ci esco fuori.......ti posto la console....

debian:~# apt-get -f install
Reading Package Lists... Done
Building Dependency Tree... Done
Correcting dependencies... Done
The following packages will be REMOVED:
valknut
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 0B of archives.
After unpacking 3129kB disk space will be freed.
Do you want to continue? [Y/n]


ho risposto si e ora apt get funziona ma in pratica non si installa piu valknut senza richiedermi quelle maledette dipendenze....mah.....
Avatar utente
MaXeR
Hero Member
Hero Member
Messaggi: 3211
Iscritto il: 22/12/2004, 17:01
Località: Garda - VR
Contatta:

Re: problema con apt-get

Messaggio da MaXeR »

prova a rimuovere quella versione ed installare quella presente in Debian, così dovresti rosolvere tutto...
imho
http://leevee.it - Leevee Soluzioni Informatiche
Fart
Hero Member
Hero Member
Messaggi: 984
Iscritto il: 22/06/2005, 7:52

Re: problema con apt-get

Messaggio da Fart »

Magari rimuovilo con
#apt-get remove --purge valknut
:ciauz:
Out beyond the New Frontiers..
ippo
Newbie
Newbie
Messaggi: 15
Iscritto il: 04/10/2005, 6:25

Re: problema con apt-get

Messaggio da ippo »

infatti ieri l ho rimosso senza problemi, ora pero non mi trova piu valknut....io ho solo i 3 cd di sarge, magari e' nel 4 o in un altro......comunque grazie della aiuto.....ciao
Avatar utente
MaXeR
Hero Member
Hero Member
Messaggi: 3211
Iscritto il: 22/12/2004, 17:01
Località: Garda - VR
Contatta:

Re: problema con apt-get

Messaggio da MaXeR »

se hai una connessione ad internet lo puoi sempre scaricare...
http://leevee.it - Leevee Soluzioni Informatiche
ippo
Newbie
Newbie
Messaggi: 15
Iscritto il: 04/10/2005, 6:25

Re: problema con apt-get

Messaggio da ippo »

il fatto e' che prima nel kpackage (kde) era presente ed ora nn c'e' piu. ne con dpkg e nemmeno con apt-get riesco piu a metterlo. la cosa curiosa e' che i pacchetti valknut_0.3.7-1_i386.deb e valknut_0.3.7-2_i386.deb sono presenti in file:/home/fogna/SHARE/Programs/valknut, e nemmeno se apro il terminale da li riesco.....questi sono i messaggi .......

debian:~# dpkg -i valknut
dpkg: error processing valknut (--install):
cannot access archive: No such file or directory
Errors were encountered while processing:
valknut
debian:~# apt-get install valknut
Reading Package Lists... Done
Building Dependency Tree... Done
Package valknut is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package valknut has no installation candidate

grazie anticipatamente per la vostra pazienza e disponibilita'.
Fart
Hero Member
Hero Member
Messaggi: 984
Iscritto il: 22/06/2005, 7:52

Re: problema con apt-get

Messaggio da Fart »

debian:~# dpkg -i valknut
Questo programma devi lanciarlo da dentro la cartella, e devi dare:
#dpkg -i valknut_0.3.7-1_i386.deb
debian:~# apt-get install valknut
Apt ti funzionerebbe in questo caso solo se aggiungi nel tuo sources.list la risorsa corrispondente alla cartella dove sono i pacchetti. Se invece vuoi scaricarli dalla rete prova prima:
#apt-cache search valknut
Nel mio caso fornisce:

Codice: Seleziona tutto

oileo:/home/bozzo# apt-cache search valknut
dcgui-qt - Dummy package for upgrading dcgui-qt to valknut
libdc0 - Runtime libraries for Valknut
libdc0-dev - Development libraries for Valknut
libdc0c2 - Runtime libraries for Valknut
e come puoi vedere valknut è in stable:

Codice: Seleziona tutto

oileo:/home/bozzo# apt-show-versions valknut
valknut/stable uptodate 0.3.7-1
:ciauz:
Out beyond the New Frontiers..
Avatar utente
MaXeR
Hero Member
Hero Member
Messaggi: 3211
Iscritto il: 22/12/2004, 17:01
Località: Garda - VR
Contatta:

Re: problema con apt-get

Messaggio da MaXeR »

modifica il tuo sources.list, aggiungendo i repository per stable presenti qui: http://debian.fastweb.it .

poi aggiorni con apt-get update e provi ad installare il pacchetto tramite apt-get install...

altrimenti lo puoi scaricare direttamente da
http://packages.debian.org/valknut

ti mancano solo i repository corretti... :ciauz:
http://leevee.it - Leevee Soluzioni Informatiche
ippo
Newbie
Newbie
Messaggi: 15
Iscritto il: 04/10/2005, 6:25

Re: problema con apt-get

Messaggio da ippo »

problema risolto!

modificato sources.list inseriti i repository debian fastweb aggiornato con apt-update e installato con apt-get......
grazie mille per la disponibilita....ci si legge...
beda2

Re: problema con apt-get

Messaggio da beda2 »

Ciao a tutti,

Non so se posso allacciarmi qui, visto che il problema è stato risolto,cmq a me, è uscito un'altro problema ed è questo

Codice: Seleziona tutto

W: GPG error: http://secure-testing.debian.net etch/security-updates Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 946AA6E18722E71E
W: GPG error: ftp://ftp.nerim.net etch Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 07DC563D1F41B907
W: GPG error: http://www.users.tpg.com.au sid Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 2481BC0F7E41B21E
W: È consigliabile eseguire apt-get update per correggere questi problemi
Come risolvo la cosa :conf:

Grazie a tutti
Beda2
Fart
Hero Member
Hero Member
Messaggi: 984
Iscritto il: 22/06/2005, 7:52

Re: problema con apt-get

Messaggio da Fart »

W: È consigliabile eseguire apt-get update per correggere questi problemi
Hai provato con quello che ti dice apt?
Out beyond the New Frontiers..
beda2

Re: problema con apt-get

Messaggio da beda2 »

Ciao fart,

.....stavo facendo apt-get update :sboing:
Fart
Hero Member
Hero Member
Messaggi: 984
Iscritto il: 22/06/2005, 7:52

Re: problema con apt-get

Messaggio da Fart »

be comunque quello non è un errore grave, è dovuto ad un problema del repository, non del tuo source.list
Out beyond the New Frontiers..
Rispondi